import os

VERSION = 'development'

LOGGING = {
    'version': 1,
    'formatters': {'default': {
        'format': '[%(asctime)s] %(levelname)s in %(module)s: %(message)s',
    }},
    'handlers': {'wsgi': {
        'class': 'logging.StreamHandler',
        'stream': 'ext://flask.logging.wsgi_errors_stream',
        'formatter': 'default'
    }},
    'loggers': {
        'sf_notifier.server': {
            'level': 'INFO',
            'handlers': ['wsgi']
        },
        'sf_notifier.salesforce.client': {
            'level': 'INFO',
            'handlers': ['wsgi']
        }
    }
}

SIMPLE_SETTINGS = {
    'OVERRIDE_BY_ENV': True,
    'CONFIGURE_LOGGING': True,
}

ADD_LINKS = os.environ.get('SF_NOTIFIER_ADD_LINKS',
                           False) in ['true', 'True', True]

SF_CONFIG = {}
